Bug 89132 - Time losing 4 hours everytime system is booted.
Summary: Time losing 4 hours everytime system is booted.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-date   
(Show other bugs)
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-17 23:40 UTC by Scott Bogert
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version: 1.5.9-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 21:05:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Scott Bogert 2003-04-17 23:40:06 UTC
Description of problem: 
System lost 4 hours every time I booted. 
After installing, /etc/localtime was a regular file.  At some point after 
enabling ntpd, this was changed to a symlink to 
/usr/share/zoneinfo/America/New_York.  This caused the time to be set 
incorrectly (timezone assumed to be UTC) during sysinit, before the /usr 
filesystem was mounted. 
 
Steps to Reproduce: 
1.  Build system with separate /usr filesystem and hardware clock set to 
localtime.   
2.  Enable ntpd.   
3.  Boot without networking.   
4.  Disable ntpd. 
5.  Reboot  
     
Expected results: 
Time should be off by the difference between UTC and localtime, if  
 
Additional info: 
What ever is creating a link to the timezone file (ntpd?) is causing this 
problem.

Comment 1 Harald Hoyer 2003-04-22 08:14:50 UTC
ntp does not symlink /etc/localtime... 
you should maybe run redhat-config-date

Comment 2 Scott Bogert 2003-04-23 23:46:12 UTC
Please read my bug statement above.  I have fixed the problem and found it to be that 
something created a link from /usr/share/zoneinfo..... to /etc/timezone.   
 
The original problem occured after I enabled NTP and then did not have network upon reboot.  I 
am not sure at this point what created the link, but it was definitely the source of my problems.  
I ran redhat-date-config on more than one occasion.  Perhaps this was the source of my 
problems, as I enabled NTP from that gui, rather than thru CLI (laziness will get you ever time). 

Comment 3 Scott Bogert 2003-04-23 23:50:35 UTC
Indeed, that is the problem, when NTP is enable via redhat-config-date, the original 
/etc/localtime is removed, and a link is created to /usr/share/zoneinfo.... 

Comment 4 Harald Hoyer 2003-04-24 10:15:00 UTC
then I'll change the component, cause this is no ntp bug..

Comment 5 Brent Fox 2003-05-16 21:05:39 UTC
Should be fixed in redhat-config-date-1.5.9-10 in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.